Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field Member List

This is the complete list of members for eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field, including all inherited members.

$comparatorMap | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | protected
$contentTypeHandler | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase | protected
$dbHandler | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | protected
$fieldConverterRegistry | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field | protected
$fieldValueConverter | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field | protected
$languageHandler | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase | protected
$transformationProcessor | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field | protected
__construct(DatabaseHandler $dbHandler, ContentTypeHandler $contentTypeHandler, LanguageHandler $languageHandler, Registry $fieldConverterRegistry, FieldValueConverter $fieldValueConverter, TransformationProcessor $transformationProcessor) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field |
eZ::Publish::Core::Search::Legacy::Content::Common::Gateway::CriterionHandler::FieldBase::__construct(DatabaseHandler $dbHandler, ContentTypeHandler $contentTypeHandler, LanguageHandler $languageHandler) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase |
eZ::Publish::Core::Search::Legacy::Content::Common::Gateway::CriterionHandler::__construct(DatabaseHandler $dbHandler) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler |
accept(Criterion $criterion) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field |
getFieldCondition(SelectQuery $query, array $languageSettings) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase | protected
getFieldsInformation($fieldIdentifier) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field | protected
getInExpressionWithFieldConditions(SelectQuery $query, SelectQuery $subSelect, array $languageSettings, array $fieldWhereExpressions, array $fieldsInformation) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\FieldBase | protected
getUniqueTableName() | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler | protected
handle(CriteriaConverter $converter, SelectQuery $query, Criterion $criterion, array $languageSettings) | eZ\Publish\Core\Search\Legacy\Content\Common\Gateway\CriterionHandler\Field |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.